package com.yihu.jw.restmodel.hospital.prescription;

import com.yihu.jw.restmodel.UuidIdentityVOWithOperator;
import io.swagger.annotations.ApiModel;


/**
 * 
 * his在线处方主表vo
 * </pre>
 * @since 1.
 */
@ApiModel(value = "WlyyHisPrescriptionVO", description = "在线处方主表")
public class WlyyHisPrescriptionVO extends UuidIdentityVOWithOperator {

    /**
     * his处方ID，会做
     */
    private String realOrder;
    /**
     * 卡号
     */
    private String cardNo;
    /**
     * 医生工号
     */
    private String doctor;
    /**
     * 科室编码
     */
    private String dept;
    /**
     * 收费码
     */
    private String chargeCode;
    /**
     * 分部号
     */
    private String winNo;
    /**
     * 项目类别
     */
    private String chargeFlag;
    /**
     * 数量
     */
    private String quantity;
    /**
     * 挂号流水号
     */
    private String serialNo;
    /**
     * 库房号
     */
    private String groupNo;
    /**
     * 药品序列号
     */
    private String serial;
    /**
     * 主诊断编码
     */
    private String icdCode;

    /**
     * 用量
     */
    private String dosage;
    /**
     * 用量单位
     */
    private String unit;
    /**
     * 频率
     */
    private String usage;
    /**
     * 用法
     */
    private String supplyCode;
    /**
     * 天数
     */
    private String days;
    /**
     * 组号
     */
    private String frequency;
    /**
     * 第二诊断
     */
    private String diagTwo;
    /**
     * 第三诊断
     */
    private String diagThree;
    /**
     * 第四诊断
     */
    private String diagFour;
    /**
     * 第五诊断
     */
    private String diagFive;

    /**
     * 中药用法
     */
    private String comm;

    private String parentCode;//检查检验父级节点code
//    private String code;//检查检验项目编码',
    private String name;//检查检验(检查方法)',
    private String information;//病史与体征',
    private String checkEquip;//类别',
    private String checkPart;//部位',
    private String adresult;//辅助检查治疗',
    private String goal;//检查目的',

    //病理相关
    private String opview;//手术所见-病理申请单必填',
    private String specimenName;//标本名称-病理申请单必填',
    private String specimenNum;//标本数量-病理申请单必填',
    private String ywjcResult;//以往检查结果-病理申请单选填',
    private String ywjcDate;//以往检查时间-病理申请单选填 格式：yyyy-mm-dd',
    private String blzd;//病理诊断-病理申请单选填',
    private String fixationfluid;//固定液
    private String selfDelivered;//快递是否1是0否


    //患者信息

/*
    补充字段 social_no、tell_phone、address1、address2、address3、address4、address5 area、target
*/

    private String socialNo;
    private String tellPhone;
    private String address1;
    private String address2;
    private String address3;
    private String address4;
    private String address5;
    private String area;
    private String target;
    private String targetChild;

    private String idnoType;


    public String getIdnoType() {
        return idnoType;
    }

    public void setIdnoType(String idnoType) {
        this.idnoType = idnoType;
    }

    public String getCardNo() {
        return cardNo;
    }

    public void setCardNo(String cardNo) {
        this.cardNo = cardNo;
    }

    public String getDoctor() {
        return doctor;
    }

    public void setDoctor(String doctor) {
        this.doctor = doctor;
    }

    public String getDept() {
        return dept;
    }

    public void setDept(String dept) {
        this.dept = dept;
    }

    public String getChargeCode() {
        return chargeCode;
    }

    public void setChargeCode(String chargeCode) {
        this.chargeCode = chargeCode;
    }

    public String getWinNo() {
        return winNo;
    }

    public void setWinNo(String winNo) {
        this.winNo = winNo;
    }

    public String getChargeFlag() {
        return chargeFlag;
    }

    public void setChargeFlag(String chargeFlag) {
        this.chargeFlag = chargeFlag;
    }

    public String getQuantity() {
        return quantity;
    }

    public void setQuantity(String quantity) {
        this.quantity = quantity;
    }

    public String getSerialNo() {
        return serialNo;
    }

    public void setSerialNo(String serialNo) {
        this.serialNo = serialNo;
    }

    public String getGroupNo() {
        return groupNo;
    }

    public void setGroupNo(String groupNo) {
        this.groupNo = groupNo;
    }

    public String getSerial() {
        return serial;
    }

    public void setSerial(String serial) {
        this.serial = serial;
    }

    public String getIcdCode() {
        return icdCode;
    }

    public void setIcdCode(String icdCode) {
        this.icdCode = icdCode;
    }

    public String getDiagTwo() {
        return diagTwo;
    }

    public void setDiagTwo(String diagTwo) {
        this.diagTwo = diagTwo;
    }

    public String getDiagThree() {
        return diagThree;
    }

    public void setDiagThree(String diagThree) {
        this.diagThree = diagThree;
    }

    public String getDiagFour() {
        return diagFour;
    }

    public void setDiagFour(String diagFour) {
        this.diagFour = diagFour;
    }

    public String getDiagFive() {
        return diagFive;
    }

    public void setDiagFive(String diagFive) {
        this.diagFive = diagFive;
    }

    public String getDosage() {
        return dosage;
    }

    public void setDosage(String dosage) {
        this.dosage = dosage;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getUsage() {
        return usage;
    }

    public void setUsage(String usage) {
        this.usage = usage;
    }

    public String getSupplyCode() {
        return supplyCode;
    }

    public void setSupplyCode(String supplyCode) {
        this.supplyCode = supplyCode;
    }

    public String getDays() {
        return days;
    }

    public void setDays(String days) {
        this.days = days;
    }

    public String getFrequency() {
        return frequency;
    }

    public void setFrequency(String frequency) {
        this.frequency = frequency;
    }

//    public String getCode() {
//        return code;
//    }
//
//    public void setCode(String code) {
//        this.code = code;
//    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getInformation() {
        return information;
    }

    public void setInformation(String information) {
        this.information = information;
    }

    public String getCheckEquip() {
        return checkEquip;
    }

    public void setCheckEquip(String checkEquip) {
        this.checkEquip = checkEquip;
    }

    public String getCheckPart() {
        return checkPart;
    }

    public void setCheckPart(String checkPart) {
        this.checkPart = checkPart;
    }

    public String getAdresult() {
        return adresult;
    }

    public void setAdresult(String adresult) {
        this.adresult = adresult;
    }

    public String getGoal() {
        return goal;
    }

    public void setGoal(String goal) {
        this.goal = goal;
    }

    public String getOpview() {
        return opview;
    }

    public void setOpview(String opview) {
        this.opview = opview;
    }

    public String getSpecimenName() {
        return specimenName;
    }

    public void setSpecimenName(String specimenName) {
        this.specimenName = specimenName;
    }

    public String getSpecimenNum() {
        return specimenNum;
    }

    public void setSpecimenNum(String specimenNum) {
        this.specimenNum = specimenNum;
    }

    public String getYwjcResult() {
        return ywjcResult;
    }

    public void setYwjcResult(String ywjcResult) {
        this.ywjcResult = ywjcResult;
    }

    public String getYwjcDate() {
        return ywjcDate;
    }

    public void setYwjcDate(String ywjcDate) {
        this.ywjcDate = ywjcDate;
    }

    public String getBlzd() {
        return blzd;
    }

    public void setBlzd(String blzd) {
        this.blzd = blzd;
    }

    public String getFixationfluid() {
        return fixationfluid;
    }

    public void setFixationfluid(String fixationfluid) {
        this.fixationfluid = fixationfluid;
    }

    public String getRealOrder() {
        return realOrder;
    }

    public void setRealOrder(String realOrder) {
        this.realOrder = realOrder;
    }

    public String getParentCode() {
        return parentCode;
    }

    public void setParentCode(String parentCode) {
        this.parentCode = parentCode;
    }

    public String getComm() {
        return comm;
    }

    public void setComm(String comm) {
        this.comm = comm;
    }

    public String getSelfDelivered() {
        return selfDelivered;
    }

    public void setSelfDelivered(String selfDelivered) {
        this.selfDelivered = selfDelivered;
    }

    public String getSocialNo() {
        return socialNo;
    }

    public void setSocialNo(String socialNo) {
        this.socialNo = socialNo;
    }

    public String getTellPhone() {
        return tellPhone;
    }

    public void setTellPhone(String tellPhone) {
        this.tellPhone = tellPhone;
    }

    public String getAddress1() {
        return address1;
    }

    public void setAddress1(String address1) {
        this.address1 = address1;
    }

    public String getAddress2() {
        return address2;
    }

    public void setAddress2(String address2) {
        this.address2 = address2;
    }

    public String getAddress3() {
        return address3;
    }

    public void setAddress3(String address3) {
        this.address3 = address3;
    }

    public String getAddress4() {
        return address4;
    }

    public void setAddress4(String address4) {
        this.address4 = address4;
    }

    public String getAddress5() {
        return address5;
    }

    public void setAddress5(String address5) {
        this.address5 = address5;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public String getTarget() {
        return target;
    }

    public void setTarget(String target) {
        this.target = target;
    }

    public String getTargetChild() {
        return targetChild;
    }

    public void setTargetChild(String targetChild) {
        this.targetChild = targetChild;
    }
}